# How to deactivate a license on a mobile device

To deactivate (release) a license on a mobile device (Android, iOS, Java), you need to perform the following two actions:

1. Delete the license locally
2. Release the license from the server

To delete the license locally, simply delete the license XML (QlmLicense.xml) file that was generated as part of the activation process.

To release the file on the server, call the [ReleaseLicenseHttp ](/docs/api-reference/http-methods/releaselicensehttp.md)method.

**ReleaseLicenseHttp**

Releases a license key over HTTP. This API releases a license key so that it can be activated on another computer.

To invoke this method via a URL:

{% code overflow="wrap" %}

```http
http://yourserver/yourvirtualdirectory/qlmservice.asmx/ReleaseLicenseHttp?is_avkey=<activationKey>&is_pcid=<computer ID>
where
```

{% endcode %}

* is\_avkey= Activation key to validate. If the key has never been activated, the key will be activated and a computer key will be returned.
* is\_pcid = If the license has never been validated, you need to specify a computer identifier so that the returned computer key can be bound to this specific computer. A computer ID can be the name of the computer or any other unique identifier of your choice.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/how-to/how-to-deactivate-a-license-on-a-mobile-device.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
